CH_TEST_FOR_IO(3)

FUNCTION
ch_test_for_io - Test if I/O possible on channel.

SYNOPSIS
#include <karma_ch.h>

flag ch_test_for_io

(Channel channel)

DESCRIPTION
This routine will test if a channel object is capable of supporting reading and writing operations. Most channels fall under this category. The notable exceptions are the dock channel and channels created by a call to <<ch_attach_to_asynchronous_descriptor>>.

channel
    The channel object.

RETURN VALUE
TRUE if the channel is capable of reading and writing, else FALSE

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/